package com.example.demo;

import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

import java.util.Iterator;
import java.util.stream.Stream;
import java.util.stream.StreamSupport;


public class Instructor extends Person implements Teacher{

    public Instructor(){

    }

    public Instructor(Long id, String name) {
        super(id, name);
    }

    @Override
    public void teach(Learner learner, double numberOfHours) {
        learner.learn(numberOfHours);
    }

    @Override
    public void lecture(Iterable<? extends Learner> learners, double numberOfHours) {
        int length = (int) StreamSupport.stream(learners.spliterator(), false).count();

        /*Iterator i = learners.iterator();
        while(i.hasNext()){
            teach(i.next(), numberOfHours/length);
        }*/

        for(Learner learner : learners){
            teach(learner, numberOfHours/length);
        }
    }
}
