package com.example.demo;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Component;

@Configuration
public class InstructorsConfig {

    @Bean(name = "usInstructors")
    public Instructors tcUsaInstructors(){
        return new Instructors(new Instructor(1L, "leon"));
    }

    @Bean(name = "ukInstructors")
    public Instructors tcUKInstructors(){
        return new Instructors(new Instructor(2L, "Froilan"));
    }

    @Primary
    @Bean(name = "instructors")
    public Instructors zipCodeInstructors(){
        return new Instructors(new Instructor(3L, "Nhyu"));
    }
}
