package com.example.demo;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class TestAlumni {

    Students students;
    Instructors instructors;
    Alumni alumni;

    @Before
    public void setup(){
        students = new Students(new Student(4L, "Thulasi"), new Student(5L, "Ram"));
        instructors = new Instructors(new Instructor(1L, "Wilhem"), new Instructor(2L, "Dolio"));
        alumni = new Alumni(students, instructors);
    }


    @Test
    public void testExecuteBootcamp(){
        alumni.executeBootcamp();
        students = alumni.getStudents();
        for(Student student : alumni.getStudents()){
            Assert.assertEquals(1200, student.getTotalStudyTime(), 0);
        }
    }
}
