package com.example.demo;

import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;



public class Student extends Person implements Learner{
    double totalStudyTime;

    public Student(Long id, String name) {
        super(id, name);
        totalStudyTime = 0;
    }


    @Override
    public void learn(double numberOfHours) {
        totalStudyTime += numberOfHours;
    }

    public double getTotalStudyTime() {
        return this.totalStudyTime;
    }
}
